<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'ebuy',

    /*
     * Package.
     */
    'package'   => 'address',

    /*
     * Modules.
     */
    'modules'   => ['address'],

    
    'address'       => [
        'model' => [
            'model' => \Ebuy\Address\Models\Address::class,
            'repository' => \Ebuy\Address\Repositories\Eloquent\AddressRepository::class,
            'table' => 'addresses',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'name',  'phone',  'address_line1',  'address_line2',  'postal_code',  'district',  'state',  'slug',  'created_at',  'deleted_at',  'updated_at',  'user_id',  'user_type'],
            'translatables' => [],
            'upload_folder' => 'address/address',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Ebuy',
            'package' => 'Address',
            'module' => 'Address',
        ],
    ],
];
