<?php

namespace Ebuy\Address\Forms;

use Litepie\Form\FormInterpreter;

class Address extends FormInterpreter
{

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public static function setAttributes()
    {

        self::$urls = [
            'new' => [
                'url' => guard_url('address/address/new'),
                'method' => 'GET',
            ],
            'create' => [
                'url' => guard_url('address/address/create'),
                'method' => 'GET',
            ],
            'store' => [
                'url' => guard_url('address/address'),
                'method' => 'POST',
            ],
            'update' => [
                'url' => guard_url('address/address'),
                'method' => 'PUT',
            ],
            'list' => [
                'url' => guard_url('address/address'),
                'method' => 'GET',
            ],
            'delete' => [
                'url' => guard_url('address/address'),
                'method' => 'DELETE',
            ],
        ];
        self::$search = [
            'name' => [
                "type" => 'text',
                "label" => trans('address::address.label.name'),
                "placeholder" => trans('address::address.placeholder.name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "4",
                "roles" => [],
            ]
        ];
        self::$groups = [
            'main' => trans('address::address.groups.main'),
            'details' => trans('address::address.groups.details'),
            'images' => trans('address::address.groups.images'),
            'settings' => trans('address::address.groups.settings'),
        ];
        self::$list = [
            [
                'key' => "ref",
                'label' => trans('address::address.label.ref'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "id",
                'label' => trans('address::address.label.id'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "name",
                'label' => trans('address::address.label.name'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "status",
                'label' => trans('address::address.label.status'),
                'sortable' => 'true',
                'roles' => [],
            ],
        ];
        self::$fields = [
                'name' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('address::address.label.name'),
                "placeholder" => trans('address::address.placeholder.name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'phone' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('address::address.label.phone'),
                "placeholder" => trans('address::address.placeholder.phone'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'address_line1' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('address::address.label.address_line1'),
                "placeholder" => trans('address::address.placeholder.address_line1'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'address_line2' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('address::address.label.address_line2'),
                "placeholder" => trans('address::address.placeholder.address_line2'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'postal_code' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('address::address.label.postal_code'),
                "placeholder" => trans('address::address.placeholder.postal_code'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'district' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('address::address.label.district'),
                "placeholder" => trans('address::address.placeholder.district'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'state' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('address::address.label.state'),
                "placeholder" => trans('address::address.placeholder.state'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ];

        return new static();
    }
}
