<?php

namespace Ebuy\Address\Repositories\Eloquent;

use Ebuy\Address\Interfaces\AddressRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Ebuy\Address\Repositories\Eloquent\Presenters\AddressItemPresenter;


class AddressRepository extends BaseRepository implements AddressRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('ebuy.address.address.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('ebuy.address.address.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return AddressItemPresenter::class;
    }
}
